Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.goods_coverage

skbio.diversity.alpha.goods_coverage(counts)

  Calculate Good’s coverage estimator.

  Good’s coverage estimator \(C\), a.k.a. Turing estimator or Good- Turing (GT) estimator, is an estimation of the proportion of the population represented in the sample. It is defined as:

  \[C = 1 - \frac{F_1}{N}\]

  where \(F_1\) is the number of taxa observed only once (i.e., singletons) and \(N\) is the total number of individuals.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    float

      Good’s coverage estimator.

  See also

  `esty_ci`
  `robbins`

  Notes

  Good’s coverage estimator was originally described in [1].

  References

  [1]

  Good, I. J. (1953). The population frequencies of species and the estimation of population parameters. Biometrika, 40(3-4), 237-264.